<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>tubafashe-api documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">tubafashe-api documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>PaymentModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="711pt" height="211pt"
 viewBox="0.00 0.00 711.00 211.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 207)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-207 707,-207 707,4 -4,4"/>
<text text-anchor="start" x="330.5091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="117.5,-10 117.5,-30 137.5,-30 137.5,-10 117.5,-10"/>
<text text-anchor="start" x="141.129" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="230.5,-10 230.5,-30 250.5,-30 250.5,-10 230.5,-10"/>
<text text-anchor="start" x="254.2251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="316.5,-10 316.5,-30 336.5,-30 336.5,-10 316.5,-10"/>
<text text-anchor="start" x="340.2812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="413.5,-10 413.5,-30 433.5,-30 433.5,-10 413.5,-10"/>
<text text-anchor="start" x="437.1732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="509.5,-10 509.5,-30 529.5,-30 529.5,-10 509.5,-10"/>
<text text-anchor="start" x="533.2258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_PaymentModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-195 695,-195 695,-70 8,-70"/>
</g>
<g id="clust6" class="cluster">
<title>cluster_PaymentModule_providers</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 687,-130 687,-78 16,-78"/>
</g>
<!-- CurrencyRateService -->
<g id="node1" class="node">
<title>CurrencyRateService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="585" cy="-104" rx="93.7359" ry="18"/>
<text text-anchor="middle" x="585" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">CurrencyRateService</text>
</g>
<!-- PaymentModule -->
<g id="node5" class="node">
<title>PaymentModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="380.0438,-187 377.0438,-191 356.0438,-191 353.0438,-187 271.9562,-187 271.9562,-151 380.0438,-151 380.0438,-187"/>
<text text-anchor="middle" x="326" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">PaymentModule</text>
</g>
<!-- CurrencyRateService&#45;&gt;PaymentModule -->
<g id="edge1" class="edge">
<title>CurrencyRateService&#45;&gt;PaymentModule</title>
<path fill="none" stroke="#000000" d="M585,-122.1061C585,-141.3391 585,-169 585,-169 585,-169 390.2949,-169 390.2949,-169"/>
<polygon fill="#000000" stroke="#000000" points="390.2949,-165.5001 380.2949,-169 390.2949,-172.5001 390.2949,-165.5001"/>
</g>
<!-- DonatorService -->
<g id="node2" class="node">
<title>DonatorService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="402" cy="-104" rx="71.7679" ry="18"/>
<text text-anchor="middle" x="402" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DonatorService</text>
</g>
<!-- DonatorService&#45;&gt;PaymentModule -->
<g id="edge2" class="edge">
<title>DonatorService&#45;&gt;PaymentModule</title>
<path fill="none" stroke="#000000" d="M355.3188,-117.7848C355.3188,-117.7848 355.3188,-140.5475 355.3188,-140.5475"/>
<polygon fill="#000000" stroke="#000000" points="351.8189,-140.5474 355.3188,-150.5475 358.8189,-140.5475 351.8189,-140.5474"/>
</g>
<!-- KpayService -->
<g id="node3" class="node">
<title>KpayService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="251" cy="-104" rx="60.8139" ry="18"/>
<text text-anchor="middle" x="251" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">KpayService</text>
</g>
<!-- KpayService&#45;&gt;PaymentModule -->
<g id="edge3" class="edge">
<title>KpayService&#45;&gt;PaymentModule</title>
<path fill="none" stroke="#000000" d="M291.8178,-117.468C291.8178,-117.468 291.8178,-140.8642 291.8178,-140.8642"/>
<polygon fill="#000000" stroke="#000000" points="288.3179,-140.8641 291.8178,-150.8642 295.3179,-140.8642 288.3179,-140.8641"/>
</g>
<!-- PaymentService -->
<g id="node4" class="node">
<title>PaymentService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="98" cy="-104" rx="73.5734" ry="18"/>
<text text-anchor="middle" x="98" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">PaymentService</text>
</g>
<!-- PaymentService&#45;&gt;PaymentModule -->
<g id="edge4" class="edge">
<title>PaymentService&#45;&gt;PaymentModule</title>
<path fill="none" stroke="#000000" d="M98,-122.1061C98,-141.3391 98,-169 98,-169 98,-169 261.678,-169 261.678,-169"/>
<polygon fill="#000000" stroke="#000000" points="261.678,-172.5001 271.678,-169 261.678,-165.5001 261.678,-172.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/payment/payment.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/CurrencyRateService.html">CurrencyRateService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/DonatorService.html">DonatorService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/KpayService.html">KpayService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/PaymentService.html">PaymentService</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Controllers<a href="https://docs.nestjs.com/controllers" target="_blank" title="Official documentation about module controllers"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../controllers/CurrencyController.html">CurrencyController</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../controllers/KpayController.html">KpayController</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../controllers/PaymentController.html">PaymentController</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Module } from &#x27;@nestjs/common&#x27;;
import { TypeOrmModule } from &#x27;@nestjs/typeorm&#x27;;
import { PaymentType } from &#x27;./entity/payment-type.entity&#x27;;
import { Payment } from &#x27;./entity/payment.entity&#x27;;
import { PaymentService } from &#x27;./service/payment.service&#x27;;
import { PaymentController } from &#x27;./controller/payment.controller&#x27;;
import { KpayController } from &#x27;./controller/kpay.controller&#x27;;
import { KpayService } from &#x27;./service/kpay.service&#x27;;
import { CurrencyRate } from &#x27;./entity/currency-rate.entity&#x27;;
import { CurrencyRateService } from &#x27;./service/currency-rate.service&#x27;;
import { CurrencyController } from &#x27;./controller/currency.controller&#x27;;
import { DonatorService } from &#x27;../donator/service/donator.service&#x27;;
import { Donator } from &#x27;../donator/entity/donator.entity&#x27;;

@Module({
  imports: [TypeOrmModule.forFeature([CurrencyRate, Payment, PaymentType, Donator])],
  providers: [
    PaymentService,
    KpayService,
    CurrencyRateService,
    DonatorService,
  ],
  controllers: [CurrencyController, KpayController, PaymentController],
})
export class PaymentModule {}
</code></pre>
    </div>
</div>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'PaymentModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
